Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::AutomaticGuardUnguard Class Reference

Internal class. More...

`#include <OgreException.h>`

List of all members.

## Public Methods

| AutomaticGuardUnguard (const String &funcName) throw ()
| ~AutomaticGuardUnguard () throw ()

## Detailed Description

Internal class.

Objects will automatically push/pop the function name for unwinding.

Definition at line 194 of file OgreException.h.

## Constructor & Destructor Documentation

Ogre::AutomaticGuardUnguard::AutomaticGuardUnguard | ( | const String & | funcName | ) | throw ()

| Definition at line 196 of file OgreException.h. References Ogre::String.

Ogre::AutomaticGuardUnguard::~AutomaticGuardUnguard | ( |  | ) | throw ()

| Definition at line 200 of file OgreException.h.

The documentation for this class was generated from the following file:

- OgreException.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:44 2004